# Uses of Interface
org.jfree.chart3d.data.KeyedValues2D

Packages that use KeyedValues2D
Package
Description
org.jfree.chart3d.data
Core data structures used as the building blocks for datasets in Orson Charts.

## Uses of KeyedValues2D in org.jfree.chart3d.data

Classes in org.jfree.chart3d.data that implement KeyedValues2D
Modifier and Type
Class
Description
`final class`
`DefaultKeyedValues2D<R extends Comparable<R>,C extends Comparable<C>,T>`
A two dimensional grid of (typically numerical) data that is accessible by row and column keys.
Methods in org.jfree.chart3d.data that return KeyedValues2D
Modifier and Type
Method
Description
`static KeyedValues2D<String,String,Number>`
JSONUtils.`readKeyedValues2D(Reader reader)`
Reads a data table from a JSON format string coming from the specified reader.
`static KeyedValues2D<String,String,Number>`
JSONUtils.`readKeyedValues2D(String json)`
Reads a data table from a JSON format string.
Methods in org.jfree.chart3d.data with parameters of type KeyedValues2D
Modifier and Type
Method
Description
`static String`
JSONUtils.`writeKeyedValues2D(KeyedValues2D data)`
Writes a data table to a string in JSON format.
`static void`
JSONUtils.`writeKeyedValues2D(KeyedValues2D data, Writer writer)`
Writes the data in JSON format to the supplied writer.